Package org.eclipse.ant.core

# Class TargetInfo

java.lang.Object
org.eclipse.ant.core.TargetInfo

public class TargetInfo extends Object
Represents information about a target within an Ant build file. Clients may not instantiate or subclass this class.

Since:
  2.1
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`TargetInfo(ProjectInfo project, String name, String description, String[] dependencies, boolean isDefault)`
Create a target information

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String[]`
`getDependencies()`
Return the names of the targets that this target depends on.
`String`
`getDescription()`
Returns the target description or `null` if no description is provided.
`String`
`getName()`
Returns the target name.
`ProjectInfo`
`getProject()`
Returns the ProjectInfo of the enclosing project.
`int`
`hashCode()`
`boolean`
`isDefault()`
Returns whether this is the build file default target.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TargetInfo

public TargetInfo(ProjectInfo project, String name, String description, String[] dependencies, boolean isDefault)
Create a target information

Parameters:
  `project` - enclosing project
  `name` - target name
  `description` - a brief explanation of the target's purpose or `null` if not specified
  `dependencies` - names of prerequisite projects
  `isDefault` - whether this is the build file default target
Since:
  3.3

## Method Details

### getName

public String getName()
Returns the target name.

Returns:
  the target name

### getDescription

public String getDescription()
Returns the target description or `null` if no description is provided.

Returns:
  the target description or `null` if none

### getProject

public ProjectInfo getProject()
Returns the ProjectInfo of the enclosing project.

Returns:
  the project info for the enclosing project

### getDependencies

public String[] getDependencies()
Return the names of the targets that this target depends on.

Returns:
  the dependent names

### isDefault

public boolean isDefault()
Returns whether this is the build file default target.

Returns:
  whether this is the build file default target

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`